<?php

namespace Teknisa\DF\Factories;


use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;

class Ger82000CodigoTributacaoMunicipioFactory {
    protected $connection;

    public function __construct($entityManager) {
        $this->connection = $entityManager->getConnection();
        date_default_timezone_set('America/Sao_Paulo');
    }

    public function getProdutos($params) {
        $sql = "SELECT P.NRORG,
                  P.CDPRODUTO
                FROM PRODUTO P
                WHERE (P.CDPRODUTO BETWEEN :P_CDPRODINI AND :P_CDPRODFIN)
                AND  P.CDNVPRODUTO = :P_NVPRODUTO
                ORDER BY P.CDPRODUTO";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
    }
    
    public function getNvProduto() {
        $sql = "SELECT CDPICTPROD FROM PARAMGERAL";
        
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll()[0]["CDPICTPROD"];
    }
    
    public function deleteCodtribprodpadr($params) {
        $sql = "DELETE
                FROM CODTRIBPRODPADR
                WHERE (CDPRODUTO BETWEEN :P_CDPRODINI AND :P_CDPRODFIN)
                AND CDEMPRESA = :P_CDEMPRESA
                AND CDINSCMUNI = :P_CDINSCMUNI";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
    }
    
    
}